# Class MapValue

#### Hierarchy

- unknown
  - MapValue

- Defined in src/protobuf/pb_pb.d.ts:5555
- Defined in src/protobuf/pb_pb.d.ts:5570

#####
Index

### Constructors

constructor

### Methods

getSequenceNr
getTimeStamp
serializeBinary
setSequenceNr
setTimeStamp
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MapValue(): MapValue

- #### Returns MapValue

  Inherited from jspb.Message.constructor

## Methods

### getSequenceNr

- getSequenceNr(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5556

### getTimeStamp

- getTimeStamp(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:5559

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:5562

### setSequenceNr

- setSequenceNr(value: number): MapValue

- #### Parameters

  - ##### value: number

  #### Returns MapValue

  - Defined in src/protobuf/pb_pb.d.ts:5557

### setTimeStamp

- setTimeStamp(value: number): MapValue

- #### Parameters

  - ##### value: number

  #### Returns MapValue

  - Defined in src/protobuf/pb_pb.d.ts:5560

### toObject

- toObject(includeInstance?: boolean): MapValue.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MapValue.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5563

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MapValue

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MapValue

  - Defined in src/protobuf/pb_pb.d.ts:5566

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MapValue, reader: BinaryReader): MapValue

- #### Parameters

  - ##### message: MapValue

  - ##### reader: BinaryReader

  #### Returns MapValue

  - Defined in src/protobuf/pb_pb.d.ts:5567

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MapValue, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MapValue

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:5565

### `Static` toObject

- toObject(includeInstance: boolean, msg: MapValue): MapValue.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MapValue

  #### Returns MapValue.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:5564

Generated using TypeDoc